Package org.eclipse.cdt.utils.pty

## Class ConPTYKernel32.SIZE_TByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.BaseTSD.ULONG_PTRByReference
      - - org.eclipse.cdt.utils.pty.ConPTYKernel32.SIZE_TByReference

All Implemented Interfaces:
  `com.sun.jna.NativeMapped`

Enclosing interface:
  ConPTYKernel32

    public static class ConPTYKernel32.SIZE_TByReference
    extends com.sun.jna.platform.win32.BaseTSD.ULONG_PTRByReference

### Constructor Summary

Constructors
`SIZE_TByReference()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.sun.jna.platform.win32.BaseTSD.SIZE_T` `getValue()`

### Methods inherited from class com.sun.jna.platform.win32.BaseTSD.ULONG_PTRByReference

`setValue`

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SIZE_TByReference

    public SIZE_TByReference()

### Method Detail

#### getValue

    public com.sun.jna.platform.win32.BaseTSD.SIZE_T getValue()

Overrides:
  `getValue` in class `com.sun.jna.platform.win32.BaseTSD.ULONG_PTRByReference`